/*
 * Copyright 2018 ScaleDynamics SAS. All rights reserved.
 * Licensed under the MIT license.
 */

'use strict';

const runtimeCapabilities = Object.freeze({});

function getRuntimeCapabilities() {
    return runtimeCapabilities;
}

function abort() {
    throw new Error('No warp runtime, see https://redirect.scaledynamics.io/error/W001 for details');
}

module.exports = {
    call: abort,
    callAsPromise: abort,
    getCurrentNumWarpThreads: abort,
    getRuntimeCapabilities,
};

if (global.warp) {
    global.warp.runtime.installWarpAPI(require('./package.json').version, module.exports);
}
